Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.4.4

Description

The token generator in Mailer.rb (Mailer.token_for) has the following code:

host = Setting.mail_from.to_s.gsub(%r{^.*@}, '')

If you have configured Redmine to send from an address with both name and email, (f.ex. "Redmine Mailer<no-reply@redmine.org

>") this results in a Message-id like the following being created:

<redmine.journal-2421.20140408113649@redmine.org>>

the double ">" at the end is considered illegal by some mail servers, and results in them rejecting it.    

A possible solution could be the following:

host = Setting.mail_from.to_s.gsub(%r{(^.*@)|>}, '')

Associated revisions

Revision 13126 - 2014-05-02 09:56 - Jean-Philippe Lang

Mailer.token_for generates invalid message_id when using from address with full name (#16619).

Revision 13155 - 2014-05-24 18:29 - Jean-Philippe Lang

Merged r13126 (#16619).

History

#1 - 2014-05-02 09:56 - Jean-Philippe Lang

- Subject changed from Mailer.rb token generator to Mailer.token_for generates invalid message_id when using from address with full name

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

Fixed in r13126, thanks for pointing this out.

#2 - 2014-05-24 18:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

mailto:no-reply@redmine.org
https://www.redmine.org/projects/redmine/repository/svn/revisions/13126
http://www.tcpdf.org

